Bug 188454 - New port: comms/flrig Ham Radio rig control program, cooperates with fldigi
Summary: New port: comms/flrig Ham Radio rig control program, cooperates with fldigi
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Diane Bruce
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-11 11:40 UTC by Stephen Hurd
Modified: 2014-04-12 01:00 UTC (History)
0 users

See Also:


Attachments
file.shar (4.43 KB, text/plain)
2014-04-11 11:40 UTC, Stephen Hurd
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stephen Hurd freebsd_committer 2014-04-11 11:40:00 UTC
Flrig is a transceiver control program designed to be used either stand alone
or as an adjunct to fldigi.  The supported transceivers all have some degree
of CAT.  The flrig user interface changes to accommodate the degree of CAT
support available for the transceiver in use.

Fix: Patch attached with submission follows:
Comment 1 Diane Bruce freebsd_committer 2014-04-11 18:13:31 UTC
Responsible Changed
From-To: freebsd-ports-bugs->db

I'll take it.
Comment 2 dfilter service freebsd_committer 2014-04-12 00:57:20 UTC
Author: db
Date: Fri Apr 11 23:57:16 2014
New Revision: 351057
URL: http://svnweb.freebsd.org/changeset/ports/351057
QAT: https://qat.redports.org/buildarchive/r351057/

Log:
  Flrig is a transceiver control program designed to be used either stand alone
  or as an adjunct to fldigi.  The supported transceivers all have some degree
  of CAT.  The flrig user interface changes to accommodate the degree of CAT
  support available for the transceiver in use.
  
  WWW: http://www.w1hkj.com/flrig-help/index.html
  
  PR:		ports/188454
  Submitted by:	Stephen Hurd <shurd@sasktel.net>

Added:
  head/comms/flrig/
  head/comms/flrig/Makefile   (contents, props changed)
  head/comms/flrig/distinfo   (contents, props changed)
  head/comms/flrig/files/
  head/comms/flrig/files/patch-configure   (contents, props changed)
  head/comms/flrig/files/patch-src_debug.cxx   (contents, props changed)
  head/comms/flrig/files/patch-src_xmlrpcpp_base64.h   (contents, props changed)
  head/comms/flrig/pkg-descr   (contents, props changed)
Modified:
  head/comms/Makefile

Modified: head/comms/Makefile
==============================================================================
--- head/comms/Makefile	Fri Apr 11 22:29:09 2014	(r351056)
+++ head/comms/Makefile	Fri Apr 11 23:57:16 2014	(r351057)
@@ -39,6 +39,7 @@
     SUBDIR += esmska
     SUBDIR += fl_moxgen
     SUBDIR += fldigi
+    SUBDIR += flrig
     SUBDIR += flwrap
     SUBDIR += gammu
     SUBDIR += gammu-devel

Added: head/comms/flrig/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/comms/flrig/Makefile	Fri Apr 11 23:57:16 2014	(r351057)
@@ -0,0 +1,35 @@
+# Created by: Stephen Hurd <shurd@sasktel.net>
+# $FreeBSD$
+
+PORTNAME=	flrig
+PORTVERSION=	1.3.13
+CATEGORIES=	comms hamradio
+MASTER_SITES=	http://www.w1hkj.com/downloads/flrig/ \
+		${MASTER_SITE_LOCAL}
+MASTER_SITE_SUBDIR=	db
+
+MAINTAINER=	shurd@sasktel.net
+COMMENT=	Ham Radio rig control program, cooperates with fldigi
+
+LICENSE=	GPLv2
+
+LIB_DEPENDS=	libfltk.so:${PORTSDIR}/x11-toolkits/fltk
+
+USES=		gmake
+GNU_CONFIGURE=	yes
+CONFIGURE_ENV=	FLTK_CONFIG="${LOCALBASE}/bin/fltk-config"
+PLIST_FILES=	bin/flrig share/applications/flrig.desktop \
+		 share/pixmaps/flrig.xpm
+OPTIONS_DEFINE=	NATIVE_OPT
+
+NATIVE_OPT_DESC=	Enable Native Optimizations
+
+.include <bsd.port.pre.mk>
+
+.if ${PORT_OPTIONS:MNATIVE_OPT}
+CONFIGURE_ARGS+=--enable-optimizations=native
+.else
+CONFIGURE_ARGS+=--enable-optimizations=none
+.endif
+
+.include <bsd.port.mk>

Added: head/comms/flrig/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/comms/flrig/distinfo	Fri Apr 11 23:57:16 2014	(r351057)
@@ -0,0 +1,2 @@
+SHA256 (flrig-1.3.13.tar.gz) = c5238bc72dc04a2b2ba741e093672990ec9ceecc7bfc4137b76d9e01a89dfdbb
+SIZE (flrig-1.3.13.tar.gz) = 578415

Added: head/comms/flrig/files/patch-configure
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/comms/flrig/files/patch-configure	Fri Apr 11 23:57:16 2014	(r351057)
@@ -0,0 +1,11 @@
+--- configure.orig	2014-04-08 22:42:56.000000000 -0700
++++ configure	2014-04-08 22:43:21.000000000 -0700
+@@ -7205,7 +7205,7 @@
+           FLTK_LIBS=`$FLTK_CONFIG --ldflags --use-images`
+           if test "x$target_mingw32" != "xyes"; then
+               if test "x$target_darwin" != "xyes"; then
+-                  if grep -q "lX11" <<< "$FLTK_LIBS"; then
++                  if echo "$FLTK_LIBS" | grep -q "lX11"; then
+                       FLTK_LIBS="$FLTK_LIBS";
+                   else
+                       FLTK_LIBS="$FLTK_LIBS -lm -lX11";

Added: head/comms/flrig/files/patch-src_debug.cxx
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/comms/flrig/files/patch-src_debug.cxx	Fri Apr 11 23:57:16 2014	(r351057)
@@ -0,0 +1,30 @@
+--- src/debug.cxx.orig	2013-08-29 02:59:21.000000000 -0700
++++ src/debug.cxx	2014-04-11 03:02:01.000000000 -0700
+@@ -126,7 +126,7 @@
+ 
+ 	vsnprintf(sztemp, sizeof(sztemp), fmt, args);
+ 	estr.append(sztemp);
+-	vfprintf(wfile, fmt, args);
++	fputs(sztemp, wfile);
+ 
+ 	va_end(args);
+ 
+@@ -149,16 +149,14 @@
+ 
+ 	vsnprintf(sztemp, sizeof(sztemp), fmt, args);
+ 	estr.append(sztemp);
+-	vfprintf(wfile, fmt, args);
++	fputs(sztemp, wfile);
+ 	va_end(args);
+ 
+ 	fflush(wfile);
+ 
+ 	if (tty) {
+ 		if (level <= DEBUG_LEVEL && level >= QUIET_LEVEL) {
+-			va_start(args, format);
+-			vfprintf(stderr, fmt, args);
+-			va_end(args);
++			fputs(sztemp, stderr);
+ 		}
+ 	}
+ 

Added: head/comms/flrig/files/patch-src_xmlrpcpp_base64.h
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/comms/flrig/files/patch-src_xmlrpcpp_base64.h	Fri Apr 11 23:57:16 2014	(r351057)
@@ -0,0 +1,10 @@
+--- src/xmlrpcpp/base64.h.orig	2014-04-08 23:01:00.000000000 -0700
++++ src/xmlrpcpp/base64.h	2014-04-08 23:01:12.000000000 -0700
+@@ -10,6 +10,7 @@
+ #define __BASE64_H_INCLUDED__ 1
+ 
+ #include <iterator>
++#include <ios>
+ 
+ static
+ int _base64Chars[]= {'A','B','C','D','E','F','G','H','I','J','K','L','M','N','O','P','Q','R','S','T','U','V','W','X','Y','Z',

Added: head/comms/flrig/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/comms/flrig/pkg-descr	Fri Apr 11 23:57:16 2014	(r351057)
@@ -0,0 +1,6 @@
+Flrig is a transceiver control program designed to be used either stand alone
+or as an adjunct to fldigi.  The supported transceivers all have some degree
+of CAT.  The flrig user interface changes to accommodate the degree of CAT
+support available for the transceiver in use. 
+
+WWW: http://www.w1hkj.com/flrig-help/index.html
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Diane Bruce freebsd_committer 2014-04-12 00:57:42 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!